classification
Title: smtpd.SMTPServer should announce 8BITMIME when supported and accept SMTPUTF8 without it
Type: enhancement Stage: resolved
Components: email Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, jesstess, pitrou, python-dev, r.david.murray, zvyn
Priority: normal Keywords: patch

Created on 2014-06-17 19:30 by zvyn, last changed 2015-05-11 16:13 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
issue21795.patch zvyn, 2014-08-12 18:17 review
issue21795v2.patch zvyn, 2014-08-14 17:50 review
Messages (7)
msg220868 - (view) Author: Milan Oberkirch (zvyn) * Date: 2014-06-17 19:30
The smtpd.SMTPServer does support 8BITMIME if decode_date is False (#19662) and could be announced under this condition. The patch for #21725 already implements 8BITMIME so this can easily be done afterwards.
msg225225 - (view) Author: Milan Oberkirch (zvyn) * Date: 2014-08-12 10:03
Also the server should accept the SMTPUTF8 mail argument completely independently of 8BITMIME if both are enabled.
msg225236 - (view) Author: Milan Oberkirch (zvyn) * Date: 2014-08-12 18:17
The proposed patch extends process_message with an **kwargs catch-all which is filled with 'mail_options' and 'rcpt_options' if decode_data is False. I also removed process_smtputf8_message as one can detect the need for supporting SMTPUTF8 from kwargs['mail_options'] now.
8BITMIE is accepted if decode_data=False and SMTPUTF8 is accepted if enable_SMTPUTF8=True (which implies decode_data=False).
msg225300 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-08-14 14:54
Added some review comments.
msg225308 - (view) Author: Milan Oberkirch (zvyn) * Date: 2014-08-14 17:50
Thanks, for the review, here's comes an updated version.
msg242900 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-11 16:12
New changeset e34ed02738bf by R David Murray in branch 'default':
#21795: advertise 8BITMIME if decode_data is False.
https://hg.python.org/cpython/rev/e34ed02738bf
msg242901 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-05-11 16:13
Thanks, Milan.  I tweaked some things and tried to sort out the docs for all the changes we have made to smtpd.  If you see anything I screwed up let me know.
History
Date User Action Args
2015-05-11 16:13:11r.david.murraysetstatus: open -> closed
type: enhancement
messages: + msg242901

resolution: fixed
stage: commit review -> resolved
2015-05-11 16:12:08python-devsetnosy: + python-dev
messages: + msg242900
2015-04-09 20:59:03r.david.murraysetstage: commit review
2014-08-14 17:50:51zvynsetfiles: + issue21795v2.patch

messages: + msg225308
2014-08-14 14:54:36r.david.murraysetmessages: + msg225300
2014-08-12 18:17:38zvynsetfiles: + issue21795.patch
keywords: + patch
messages: + msg225236
2014-08-12 10:03:34zvynsetmessages: + msg225225
title: smtpd.SMTPServer should announce 8BITMIME when supported -> smtpd.SMTPServer should announce 8BITMIME when supported and accept SMTPUTF8 without it
2014-06-17 19:30:01zvyncreate